View Issue Details

IDProjectCategoryView StatusLast Update
0002567PartDesignBugpublic2017-09-13 11:05
ReporterDeepSOICAssigned Toickby 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
PlatformOSWindowsOS Version10
Product Version0.17 
Target Version0.17Fixed in Version0.17 
Summary0002567: Cyclic dependency of containers leads to crash
DescriptionCreating a non-DAG dependency graph between containers causes FreeCAD to go crazy, usually leading to a crash.
Steps To Reproduce1. Run this in console:

if App.ActiveDocument is None:
    App.newDocument()

part1 = App.ActiveDocument.addObject("App::Part", "Part1")
part1.Group = [part1]

This doesn't cause a direct crash. so:
2. Add a Part Cube. ->crash
Additional InformationOS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.7668 (Git)
Build type: Release
Branch: BodyBase3
Hash: ef872d37a8a365aeb04567d80616b28a826ed41c
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 6.8.0.oce-0.17

Creating a part1->part2->part1 dependency loop causes an out-of-memory exception, and then FC crashes upon adding anything.

There is no GUI-only way of causing this situation I know of. But a faulty add-on code can cause such situation (happened to me with my Part-o-magic).

Forum thread:
http://forum.freecadweb.org/viewtopic.php?f=10&t=15936
TagsNo tags attached.

Relationships

related to 0003152 closed FreeCAD FreeCAD crashes upon opening saved file 

Activities

Kunda1

2017-01-28 12:13

manager   ~0008048

Bumped thread: https://forum.freecadweb.org/viewtopic.php?f=10&t=15936&p=156555#p156555

Kunda1

2017-01-28 12:54

manager   ~0008052

Last edited: 2017-01-28 12:55

View 2 revisions

Crash still valid as reported by @DeepSOIC
OS: Windows 10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.9803 (Git)
Build type: Debug
Branch: (HEAD detached at FC/master)
Hash: dd63fe92107a87f6003f33518e387743a2090a1c
Python version: 2.7.8
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.0.0


abdullah

2017-05-24 22:33

manager   ~0009126

Still here:
OS: Ubuntu 16.04.2 LTS
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.17.11122 (Git)
Build type: Debug
Branch: occ_extra_info
Hash: a0da4b16a8768779ce32480046d3c0109595d5e5
Python version: 2.7.12
Qt version: 4.8.7
Coin version: 4.0.0a
OCC version: 7.1.0 (TBB)

Kunda1

2017-08-28 14:13

manager   ~0010017

Linked 0003152

wmayer

2017-09-13 11:05

administrator   ~0010109

https://github.com/FreeCAD/FreeCAD/commit/96f8d944f8a0ed4a1b0483db9813d8240a99a696

Issue History

Date Modified Username Field Change
2016-05-29 14:06 DeepSOIC New Issue
2017-01-28 12:13 Kunda1 Note Added: 0008048
2017-01-28 12:54 Kunda1 Note Added: 0008052
2017-01-28 12:55 Kunda1 Note Edited: 0008052 View Revisions
2017-01-28 12:57 Kunda1 Status new => confirmed
2017-01-28 12:58 Kunda1 Product Version => 0.17
2017-02-17 10:53 Kunda1 Target Version => 0.17
2017-02-17 15:01 ickby Assigned To => ickby
2017-02-17 15:01 ickby Status confirmed => assigned
2017-05-24 22:33 abdullah Note Added: 0009126
2017-08-19 13:37 Kunda1 Relationship added related to 0003152
2017-08-28 14:13 Kunda1 Note Added: 0010017
2017-09-13 11:05 wmayer Status assigned => closed
2017-09-13 11:05 wmayer Resolution open => fixed
2017-09-13 11:05 wmayer Fixed in Version => 0.17
2017-09-13 11:05 wmayer Note Added: 0010109